Bug 1419664 - [docs] Ensure clear communication that update to the latest bits within same version is prerequisite for successful major version upgrade
Summary: [docs] Ensure clear communication that update to the latest bits within same ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Dan Macpherson
QA Contact: RHOS Documentation Team
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-06 16:51 UTC by Jaromir Coufal
Modified: 2017-03-15 15:15 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-15 15:15:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jaromir Coufal 2017-02-06 16:51:13 UTC
Currently the docs does not clearly state that a pre-upgrade important step is to ensure update to the latest bits within same version. Only from that state we can guarantee successful upgrade path.

Applies for all versions of our docs.

Comment 1 Sofer Athlan-Guyot 2017-02-10 09:15:14 UTC
Hi,

We need the same note than for the osp9 version done there: https://bugzilla.redhat.com/show_bug.cgi?id=1413199

Regards,

Comment 2 Dan Macpherson 2017-03-15 03:42:22 UTC
I previously included a note for this within the pre-upgrade notes. However, some have requested for this note have a bit more prominence. So, I've added a WARNING message at the beginning of the major version upgrade instructions that says the following:

"Before performing an upgrade to the latest major version, ensure the undercloud and overcloud are updated to the latest minor versions. This includes both OpenStack Platform services and the base operating system. For the process on performing a minor version update, see Chapter 2, Director-Based Environments: Performing Updates to Minor Versions. Performing a major version upgrade without first performing a minor version update can cause failures in the upgrade process."

I've added this message to each version of the Upgrade Guide. Here's the OSP10 version:

https://access.redhat.com/documentation/en-us/red_hat_openstack_platform/10/html/upgrading_red_hat_openstack_platform/chap-upgrading_the_environment

Jarda, how does this look now?


Note You need to log in before you can comment on or make changes to this bug.